Urgent help needed
Answered

I am the legal guardian of a handicapped individual who must use the Bank of America mobile banking app to e-deposit his checks. BOA changed the app last week and broke the old version. I got a new Moto E Xt1526 from Ting. When I go to the play store page for the BOA app, it tells me the phone is not compatible.

Could someone else with a Moto E go to the Google store and see if their phone is listed as compatible (mine is Android 5.0.2 by the way). You don't have to install it; just see if it will accept your phone on the app page. Thank you in advance.

0

Comments

9 comments
  • Not quite same phone (Moto E XT1527 on Android 5.1) but I see the same thing, phone is not compatible.

    0
    Comment actions Permalink
  • I posted this same question on a regular Android Moto forum and have gotten back one response so far. That person has the same phone on the Verizon network and it says it's incompatible there, too. Anyone who can test this, I would really appreciate it.

    0
    Comment actions Permalink
  • Since you recently purchased the phone from Ting, call or chat with Ting support for this device-specific issue.

    They are very helpful and fair in their dealing.

    0
    Comment actions Permalink
  • Well, Bruce, I did that and they were no help at all. I have a running chat session going with them. I thought I had asked a very simple thing: would Ting take another Moto E and see if a different phone comes up as incompatible so we could rule out the possibility of it being a hardware issue. They would not do that. At this point, I'm learning toward the issue being the app or Google play. I've gotten responses from Moto E users on AT&T, Verizon and TMobile, and all of them have reported that the app says the phone is incompatible. The version that was in use prior to July 7 works and it appears Moto G users have no problem.

    0
    Comment actions Permalink
  • Sorry I cannot help further. I have different phones.
    Have you tried contacting Bank of America since others say the phone is incompatible? I assume they broke it with no notice. Android 5.0.2 is pretty recent, so it is more than just eliminating old version support.

    Looking at the comments on the Google Play store, it appears they realize the have a problem and are working on an update.
    See their comments in the reviews at https://play.google.com/store/apps/details?id=com.infonow.bofa&hl=en

    0
    Comment actions Permalink
  • Of course I've talked to BOA. I've talked to Ting. I've talked to Motorola. I'd like to talk to the Google store but there doesn't see to be a way to contact a human being there. BOA's website and app site do not list any restrictions other than having at least Android 4. There is no list of working carriers/phones. But a BOA tech person told me yesterday that the BOA app doesn't support all prepaid or month-to-month carriers. I think he made that up so I would just go away because there is absolutely no support for that on the BOA website. Unless, of course, they keep a secret list and could break your phone any time they want by adding your carrier to it. I am waiting on a callback from BOA to answer this stuff.

    0
    Comment actions Permalink
  • This may be a little out of left field, but I wouldn't be surprised if your problem is with your FRONT facing camera. It may need better than VGA resolution to be acceptable.

    I checked 3 different phones. The only significant difference between them was that the ones that were incompatible had VGA front cameras while the compatible phones had 1.2mp front facing cameras.

    0
    Comment actions Permalink
  • When you say you checked 3 different phones, were those the same MotoE model or three different brands with vga cameras? The BOA website has no minimum requirement for cameras, so as far as I am concerned it is their responsibility to fix the app (especially since 6.2.8 works).

    0
    Comment actions Permalink
  • Bank of America reported back to me that they found the problem and that they would be issuing a new build before Aug 1, 2015. The new build has been released and it indeed works.

    0
    Comment actions Permalink

Please sign in to leave a comment.